/*  ==========================================================================
    zoomsquare: MODAL
    authors: Andreas Lackinger, Carina Skladal
    ========================================================================== */

    /* classic MODAL
    ========================================================================== */

    .zs-modal,
    .zs-modal__backdrop,
    .zs-modal__body
    {
        position: fixed;
    }

    .zs-modal,
    .zs-modal__backdrop
    {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10000;
    }

    .zs-modal
    {
        overflow-x: hidden;
        overflow-y: auto;

        h1
        {
            @include setType($modal-h1-size, $modal-h1-line-height, $modal-h1-font-weight);
        }
    }

    .zs-modal__backdrop
    {
        z-index: -1;

        background: $black;
        cursor: pointer;
        opacity: 0.6;
    }

    .zs-modal__body
    {
        position: absolute;
        top: 50px;
        // bottom: 0px;
        left: 0;
        right: 0;
        z-index: auto;

        width: auto;
        margin: 0 auto;

        overflow-y: scroll;
        overflow-x: hidden;
        -webkit-overflow-scrolling: touch;
        background: $modal-body-background;
        border-radius: $modal-body-border-radius;
        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.22), 0 14px 56px rgba(0, 0, 0, 0.25);
    }

    .zs-modal__body--small
    {
        @include breakpoint(large)
        {
            width: 450px;
        }
    }

    .zs-modal__body--fullscreen
    {
        position: fixed;
        top: $modal-position-top;
        right: $modal-position-right;
        left: $modal-position-left;
        bottom: $modal-position-bottom;

        width: auto;
        margin: 0;

        @include breakpoint(large)
        {
            top: $modal-position-top-large;
            right: $modal-position-right-large;
            left: $modal-position-left-large;
            bottom: $modal-position-bottom-large;
        }

        .zs-modal__content
        {
            padding: 0;
        }
    }

    .zs-modal__body--nofooter
    {
        z-index: 2;

        .zs-modal__footer
        {
            display: none;
        }

        .zs-modal__content
        {
            height: calc(100% - #{$modal-header-height});
        }
    }

    .zs-modal__header
    {
        position: relative;
        z-index: 2;

        display: flex;
        align-items: center;
        width: 100%;
        height: $modal-header-height;
        padding: $modal-header-padding;

        color: $modal-header-color;
        font-size: $modal-header-font-size;    
        font-weight: $modal-header-font-weight; 
        background-color: $modal-header-background-color;
        border-bottom: $modal-header-border-bottom;

        // display: table;
        // width: calc(100%);  //weird fix because of 1px space
        // height: $modal-header-height;00
        // color: $modal-header-color; 
    }

    .zs-modal__header-actions
    {
        position: absolute;
        top: 0;
        left: $r-gutter / 2;
        right: $r-gutter / 2;
        bottom: 0;
        z-index: 1;

        display: flex;
        align-items: center;

        i
        {
            font-size: 2.2rem;
        }
    }

    .zs-modal__header-logo
    {
        margin-top: 14px;

        vertical-align: middle;
    }

    .zs-modal__header-title
    {
        width: 100%;
    }

    .zs-modal__header-back,
    .zs-modal__header-prev,
    .zs-modal__header-next
    {
        cursor: pointer;

        &:hover
        {
            color: $royal;
        }
    }

    .zs-modal__header-element
    {
        flex-wrap: nowrap;
        flex-grow: 1;

        display: inline-block;
    }

    .zs-modal__header-back
    {
        flex-grow: 8;

        i
        {
            font-size: 2.6rem;
        }
    }

    .zs-modal__title
    {
        display: table-cell;
        width: 100%;
        padding: 0 $r-gutter;

        font-size: 2.2rem;
        line-height: 2.2rem;
        
        vertical-align: middle;
        text-align: center;
        
        // padding: 0 $r-gutter;

        // font-size: 2.2);
        // line-height: 2.2);
        // vertical-align: middle;
    }

    .zs-modal__title-overflow
    {
        max-width: calc(100% - 66px);
        height: $modal-header-height;
        white-space: nowrap;

        overflow: hidden;
        text-overflow: ellipsis;
        line-height: $modal-header-height;

        @include breakpoint(medium)
        {
            max-width: calc(400px - #{$modal-position-left} - #{$modal-position-right} - 48px - 44px);
        }

        @include breakpoint(large)
        {
            max-width: calc(800px - #{$modal-position-left-large} - #{$modal-position-right-large} - 48px - 44px);
        }

        @include breakpoint(huge)
        {
            max-width: calc(1060px - #{$modal-position-left-large} - #{$modal-position-right-large} - 48px - 44px);
        }

        @include breakpoint(giant)
        {
            max-width: calc(1200px - #{$modal-position-left-large} - #{$modal-position-right-large} - 48px - 44px);
        }
    }

    .zs-modal__close
    {
        position: absolute;
        right: 0;
        top: 0;

        min-width: 44px;
        padding: 0 $r-gutter / 2;

        line-height: $modal-close-line-height;
    }

    .zs-modal__content
    {
        z-index: 2;

        height: calc(100% - #{$modal-header-height});
        padding: $modal-content-padding-mobile;

        overflow: hidden;

        @include breakpoint(large)
        {
            padding: $modal-content-padding;
        }

        &.modal__content--noscroll
        {
            overflow: hidden;
        }
    }

    .zs-modal__footer
    {
        z-index: 2;

        display: flex;
        align-items: center;
        justify-content: center;

        height: $modal-footer-height;
        min-height: $modal-footer-height;
        margin: 0 $r-gutter;
        padding: 0 $r-gutter;
    
        color: $modal-footer-color;
        font-weight: $modal-footer-font-weight;
        font-size: $modal-footer-font-size;
        line-height: $modal-footer-line-height;
        text-align: center;
        background-color: $modal-footer-background-color;
        border-top: 1px solid $gray-20;

        a
        {
            color: $modal-footer-color;
            text-decoration: underline;
        }


        // padding: 0 $r-gutter $single-space;

        // line-height: 3.6);

        // z-index: 2;
    }

    .zs-modal__footer-small
    {
        height: $modal-footer-height-small;
    }

    body
    {
        &.zs-modal--open
        {
            overflow: hidden;
        }
    }

    .zs-modal__body--calculator {
        height: calc(100% - 56px);
        
        .zs-modal__content {
            padding: 0;
        }

        .iframe-container {
            height: 100%;
            position: relative;
            -webkit-overflow-scrolling: touch;
            overflow-y: auto;
        }
        
        .calc_iframe {
            position: absolute;
            width: 100%;
            height: 100%;
            border: 0;
        }
    }


    /* IFRAME
    ========================================================================== */

    .iframe-container
    {
        min-height: 500px;
    }

    .iframe
    {
        position: absolute;
        top: $modal-header-height;
        left: 0;
        right: 0;

        width: 100%;
        height: calc(100% - #{$modal-header-height});

        border: 0;

        -webkit-overflow-scrolling: touch;
        overflow-y: scroll;
    }

    .iframe__loading
    {
        position: absolute;
        top: 50%;
        left: 0;
        right: 0;
        z-index: -1;

        text-align: center;
    }


    /* FEEDBACK
    ========================================================================== */

    textarea
    {
        height: auto;
        min-height: 0;
    }